Get Order Refund by ID
Retrieve information about a specific refund given an order_id and refund_id.
Retrieves a specific refund by its ID within a given order. Returns a single Refund object with full details including the refund amount, status, reason, refunded SKUs, and any errors encountered during processing. All monetary values are in the smallest currency unit (e.g. cents for USD).
ID of the order containing the refund
11111ID of the refund to retrieve
10000API token for authentication
Application secret key
Application ID
10000success
Order Refund
Unique ID of the Refund.
ID of the Order being refunded
ID of the Bag being refunded
ID of the merchant making the refund
ID of the App that created the Order
ID of the Transaction being refunded
ID of the Payment Transaction in Violet
ID of the Transaction in the Payment Gateway
Amount being refunded. In Cents. This value can be null.
Amount being taken back from the associated transfer to the merchant. In Cents. This value can be null.
Amount being taken back from the associated transfer to the developer. In Cents. This value can be null.
Amount in fractional currency unit (e.g. cents) being taken back from the associated transfer to the merchant, in platform currency. This value can be null.
Amount in fractional currency unit (e.g. cents) being taken back from the associated transfer to the developer, in platform currency. This value can be null.
Reason for refund
Reason code for refund
Currency set for this refund by the external ecom platform
Currency used by the platform account for the payment provider that processed this Refund
Status of the Refund
Unique identifiers of the Transfer Reversal objects in Violet that are associated with this transfer.
Date of creation
Date of last update
ID of the refund on the external commerce platform. This value will only be populated if the external commerce platform supports refund ID's.
Tax amount being refunded. In Cents. This value can be null.
not found
internal server error
GET /v1/orders/{order_id}/refunds/{refund_id} HTTP/1.1
Host: sandbox-api.violet.io
X-Violet-Token: text
X-Violet-App-Secret: text
X-Violet-App-Id: 1
Accept: */*
{
"id": 10001,
"order_id": 11111,
"bag_id": 22222,
"merchant_id": 11111,
"app_id": 10000,
"transaction_id": 99999,
"amount": 3500,
"reason": "Item returned by customer.",
"refund_currency": "USD",
"status": "COMPLETED",
"skus": [
{
"id": 44444,
"refund_id": 10000,
"bag_id": 22222,
"quantity_refunded": 1,
"external_id": "88172371283712",
"order_sku_id": 9999999999
}
],
"date_created": "2017-06-25T01:01:01+0000",
"date_last_modified": "2017-06-25T01:01:01+0000",
"external_id": "712846237462738",
"errors": []
}Last updated
Was this helpful?